Bug 537555

Summary: SELinux is preventing /usr/bin/python "execute" access on /tmp/ffidvwa0y (deleted).
Product: [Fedora] Fedora Reporter: ritz <rkhadgar>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 12CC: chris.ricker, dwalsh, martikj2, mgrepl, nphilipp, par.aronsson, smooge
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:2d578e7814ccda073b9a9cec50095b6f418188970fc8a45e6255fab524283a03
Fixed In Version: 3.6.32-46.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-24 07:49:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description ritz 2009-11-14 11:50:48 UTC
Summary:

SELinux is preventing /usr/bin/python "execute" access on /tmp/ffidvwa0y
(deleted).

Detailed Description:

[getSystemId has a permissive type (abrt_t). This access was not denied.]

SELinux denied access requested by getSystemId. It is not expected that this
access is required by getSystemId and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0
Target Context                system_u:object_r:abrt_tmp_t:s0
Target Objects                /tmp/ffidvwa0y (deleted) [ file ]
Source                        getSystemId
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14
                              EST 2009 x86_64 x86_64
Alert Count                   1
First Seen                    Sat 14 Nov 2009 05:16:21 PM IST
Last Seen                     Sat 14 Nov 2009 05:16:21 PM IST
Local ID                      abc67ed6-fc30-4823-bafa-bbe51dbb2836
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258199181.279:18): avc:  denied  { execute } for  pid=2438 comm="getSystemId" path=2F746D702F666669647677613079202864656C6574656429 dev=dm-1 ino=434 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:abrt_tmp_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258199181.279:18): arch=c000003e syscall=9 success=yes exit=140166788161536 a0=0 a1=1000 a2=5 a3=1 items=0 ppid=2437 pid=2438 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="getSystemId" exe="/usr/bin/python" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,getSystemId,abrt_t,abrt_tmp_t,file,execute
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t abrt_tmp_t:file execute;

Comment 1 Daniel Walsh 2009-11-16 15:05:59 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-46.fc12.noarch

Comment 2 Fedora Update System 2009-11-16 19:38:16 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:12:12 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:47:08 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.